
import 'package:flutter/material.dart';
import 'package:test_sa/views/app_style/sizing.dart';
class FailedLoading extends StatelessWidget {
  final String message;
  final VoidCallback onReload;

  const FailedLoading({
    Key key,
    this.message,
    this.onReload
  }) : super(key: key);
  @override
  Widget build(BuildContext context) {
    return Center(
      child: Column(
        mainAxisAlignment: MainAxisAlignment.center,
        children: [
          Text(
              message?? "Error Request Failed",
            style: Theme.of(context).textTheme.subtitle1,
            textScaleFactor: AppStyle.getScaleFactor(context),
          ),
          SizedBox(height: 16,),
          OutlinedButton(
            child: Text("try again"),
            onPressed: onReload,
          )
        ],
      ),
    );
  }
}
